Summary: Implementation of the TDS (Tabular DataStream) protocol
Name: freetds
Version: 1.3.3
Release: 3%{?dist}
License: LGPLv2+ and GPLv2+
URL: http://www.freetds.org/

Source0: ftp://ftp.freetds.org/pub/freetds/stable/freetds-%{version}.tar.bz2

BuildRequires: unixODBC-devel, readline-devel, gnutls-devel, krb5-devel
BuildRequires: libgcrypt-devel
BuildRequires: libtool
BuildRequires: doxygen, docbook-style-dsssl
BuildRequires: make

Requires: %{name}-libs = %{version}-%{release}

%description 
FreeTDS is a project to document and implement the TDS (Tabular
DataStream) protocol. TDS is used by Sybase(TM) and Microsoft(TM) for
client to database server communications. FreeTDS includes call
level interfaces for DB-Lib, CT-Lib, and ODBC.

%package libs
Summary: Libraries for %{name}
Requires: %{name} = %{version}-%{release}

%description libs
FreeTDS is a project to document and implement the TDS (Tabular
DataStream) protocol. TDS is used by Sybase(TM) and Microsoft(TM) for
client to database server communications. FreeTDS includes call
level interfaces for DB-Lib, CT-Lib, and ODBC.
This package contains the libraries for %{name}.

%package devel
Summary: Header files and development libraries for %{name}
Requires: %{name}-libs = %{version}-%{release}

%description devel
This package contains the header files and development libraries
for %{name}. If you like to develop programs using %{name}, you will need
to install %{name}-devel.



%prep 
%autosetup

sed -i '1 s,#!.*/perl,#!%{__perl},' samples/*.pl

chmod -x samples/*.sh



%build 

[ -f configure ] || NOCONFIGURE=yes ./autogen.sh

%configure \
	--disable-dependency-tracking \
	--disable-rpath \
	--disable-static \
	--with-tdsver="auto" \
	--with-unixodbc="%{_prefix}" \
	--enable-msdblib \
	--enable-sybase-compat \
	--with-gnutls \
	--enable-krb5

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_RIE|' libtool

make %{?_smp_mflags} DOCBOOK_DSL="`rpm -ql docbook-style-dsssl | fgrep html/docbook.dsl`"

 

%install 
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/*.la
chmod -x %{buildroot}%{_sysconfdir}/*

rm -f samples/Makefile* samples/*.in samples/README

mkdir samples-odbc
mv -f samples/*odbc* samples-odbc

mv -f %{buildroot}%{_docdir}/%{name} docdir
find docdir -type f -print0 | xargs -0 chmod -x



%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig



%files 
%license COPYING.txt
%doc AUTHORS.md BUGS.md NEWS.md README.md TODO.md
%doc doc/*.html
%doc docdir/userguide docdir/images
%{_bindir}/*
%{_mandir}/man1/*

%files libs
%license COPYING_LIB.txt
%{_libdir}/*.so.*
%{_libdir}/libtdsodbc.so
%doc samples-odbc
%config(noreplace) %{_sysconfdir}/*.conf
%{_mandir}/man5/*

%files devel 
%license COPYING_LIB.txt
%doc samples
%doc docdir/reference
%{_libdir}/*.so
%exclude %{_libdir}/libtdsodbc.so
%{_includedir}/*



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 30 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.3.3-1
- initial
